Bug 878521 - CVE-2012-4559 CVE-2012-4560 CVE-2012-4561 CVE-2012-4562 libssh various flaws [fedora-all]
Summary: CVE-2012-4559 CVE-2012-4560 CVE-2012-4561 CVE-2012-4562 libssh various flaws ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libssh
Version: 17
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Petr Lautrbach
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2012-4559, CVE-2012-6063 CVE-2012-4560 CVE-2012-4561 CVE-2012-4562
TreeView+ depends on / blocked
 
Reported: 2012-11-20 15:34 UTC by Vincent Danen
Modified: 2012-12-06 06:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-11-27 05:26:17 UTC


Attachments (Terms of Use)

Description Vincent Danen 2012-11-20 15:34:58 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]

Comment 1 Vincent Danen 2012-11-20 15:35:05 UTC
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=871612,878521

Comment 2 Vincent Danen 2012-11-20 15:35:24 UTC
Adding parent bug CVE-2012-4560.  Please use this new bodhi update url when correcting
these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=878521,871612,871614

Comment 3 Vincent Danen 2012-11-20 15:35:46 UTC
Adding parent bug CVE-2012-4561.  Please use this new bodhi update url when correcting
these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=878521,871612,871614,871617

Comment 4 Vincent Danen 2012-11-20 15:40:42 UTC
Adding parent bug CVE-2012-4562.  Please use this new bodhi update url when correcting
these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=878521,871612,871614,871617,871620

Comment 5 Fedora Update System 2012-11-20 16:04:31 UTC
libssh-0.5.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libssh-0.5.3-1.fc18

Comment 6 Fedora Update System 2012-11-20 16:06:43 UTC
libssh-0.5.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libssh-0.5.3-1.fc18

Comment 7 Vincent Danen 2012-11-20 16:10:38 UTC
*** Bug 878465 has been marked as a duplicate of this bug. ***

Comment 8 Fedora Update System 2012-11-20 16:23:04 UTC
libssh-0.5.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libssh-0.5.3-1.fc17

Comment 9 Fedora Update System 2012-11-20 16:40:51 UTC
libssh-0.5.3-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libssh-0.5.3-1.fc16

Comment 10 Fedora Update System 2012-11-20 20:21:19 UTC
Package libssh-0.5.3-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libssh-0.5.3-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-18610/libssh-0.5.3-1.fc18
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2012-11-27 05:26:25 UTC
libssh-0.5.3-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2012-11-29 04:00:15 UTC
libssh-0.5.3-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2012-11-29 06:03:19 UTC
libssh-0.5.3-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2012-12-06 06:57:19 UTC
libssh-0.5.3-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.